#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int t;
    cin >> t;
    for(int i = 0; i < t; i++){
        int n,m;
        cin >> n >> m;
        if(n != m){
            cout << -1 << endl;
        }
        else{
            int x[n][m];
            for(int i = 0; i < n; i++){
                for(int j = 0; j < m; j++){
                    if(i + j >= n-1){
                        x[i][j] = 1;
                    }
                    else{
                        x[i][j] = 0;
                    }
                }
            }
            for(int i = 0; i < n; i++){
                for(int j = 0; j < m; j++){
                    cout << x[i][j] << " ";
                }
                cout << endl;
            }
        }
    }
}